Subject: Re: [PATCH] Git.pm: Fix internal git_command_bidi_pipe() users

From: Junio C Hamano <[email-masked]>
Date: Mon, 04 Aug 2008 01:05:56 -0700

Petr Baudis <[email-masked]> writes:

> The hash_and_insert_object() and cat_blob() helpers were using
> an incorrect slice-from-ref Perl syntax. This patch fixes that up
> in the _close_*() helpers and make the _open_*() helpers use the
> same syntax for consistnecy.
>
> Signed-off-by: Petr Baudis <[email-masked]>
> ---
>
>   Wow, the command_bidi_pipe API really is dirty. Of course, it is
> my fault as anyone's since I didn't get around to review the patches
> introducing it.

Sorry, delete is still broken with your patch, isn't it?

The earlier patch from Abhijit Menon-Sen does this properly for
close_hash_and_insert and close_cat_blob, which I've queued already.